## GladePalette GladePalette — A widget to select a GladeWidgetAdaptor for addition. |

## Functions

GtkWidget * | glade_palette_new ()
GladeItemAppearance | glade_palette_get_item_appearance ()
void | glade_palette_set_item_appearance ()
gboolean | glade_palette_get_use_small_item_icons ()
void | glade_palette_set_use_small_item_icons ()
void | glade_palette_set_show_selector_button ()
gboolean | glade_palette_get_show_selector_button ()
void | glade_palette_set_project ()
GladeProject * | glade_palette_get_project ()
GtkToolPalette * | glade_palette_get_tool_palette ()

## Types and Values

struct | GladePalette
enum | GladeItemAppearance

## Description

GladePalette is responsible for displaying the list of available GladeWidgetAdaptor types and publishing the currently selected class to the Glade core.

## Functions

### glade_palette_new ()

    GtkWidget *
    glade_palette_new (void);

Creates a new GladePalette widget

#### Returns

a new GladePalette

### glade_palette_get_item_appearance ()

    GladeItemAppearance
    glade_palette_get_item_appearance (GladePalette *palette);

#### Parameters

palette | a GladePalette |

#### Returns

The appearance of the palette items

### glade_palette_set_item_appearance ()

    void
    glade_palette_set_item_appearance (GladePalette *palette,
                                       GladeItemAppearance item_appearance);

Sets the appearance of the palette items.

#### Parameters

palette | a GladePalette |
item_appearance | the item appearance |

### glade_palette_get_use_small_item_icons ()

    gboolean
    glade_palette_get_use_small_item_icons
                                   (GladePalette *palette);

#### Parameters

palette | a GladePalette |

#### Returns

Whether small item icons are used

### glade_palette_set_use_small_item_icons ()

    void
    glade_palette_set_use_small_item_icons
                                   (GladePalette *palette,
                                    gboolean use_small_item_icons);

Sets whether to use small item icons.

#### Parameters

palette | a GladePalette |
use_small_item_icons | Whether to use small item icons |

### glade_palette_set_show_selector_button ()

    void
    glade_palette_set_show_selector_button
                                   (GladePalette *palette,
                                    gboolean show_selector_button);

Sets whether to show the internal widget selector button

#### Parameters

palette | a GladePalette |
show_selector_button | whether to show selector button |

### glade_palette_get_show_selector_button ()

    gboolean
    glade_palette_get_show_selector_button
                                   (GladePalette *palette);

#### Parameters

palette | a GladePalette |

#### Returns

Whether the selector button is visible

### glade_palette_set_project ()

    void
    glade_palette_set_project (GladePalette *palette,
                               GladeProject *project);

### glade_palette_get_project ()

    GladeProject *
    glade_palette_get_project (GladePalette *palette);

#### Parameters

palette | a GladePalette |

#### Returns

a GladeProject.

[transfer none]

### glade_palette_get_tool_palette ()

    GtkToolPalette *
    glade_palette_get_tool_palette (GladePalette *palette);

#### Parameters

palette | a GladePalette |

#### Returns

the GtkToolPalette associated to this palette.

[transfer none]

## Types and Values

### struct GladePalette

    struct GladePalette {
      GtkBox parent_instance;

      GladePalettePrivate *priv;
    };

### enum GladeItemAppearance

#### Members

GLADE_ITEM_ICON_AND_LABEL |  |
GLADE_ITEM_ICON_ONLY |  |
GLADE_ITEM_LABEL_ONLY |  |